Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bugzilla DB migration completed. Please report issues to Infra team via email via infra@gentoo.org or IRC
Bug 667062 - dev-db/clickhouse-18.12.17 : Missing jemalloc dependency
Summary: dev-db/clickhouse-18.12.17 : Missing jemalloc dependency
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: No maintainer - Look at https://wiki.gentoo.org/wiki/Project:Proxy_Maintainers if you want to take care of it
URL:
Whiteboard:
Keywords: PMASKED
Depends on:
Blocks:
 
Reported: 2018-09-25 17:12 UTC by Toralf Förster
Modified: 2020-06-27 00:53 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge-info.txt (emerge-info.txt,15.10 KB, text/plain)
2018-09-25 17:12 UTC, Toralf Förster
Details
dev-db:clickhouse-18.12.17:20180925-120245.log (dev-db:clickhouse-18.12.17:20180925-120245.log,12.71 KB, text/plain)
2018-09-25 17:12 UTC, Toralf Förster
Details
emerge-history.txt (emerge-history.txt,68.73 KB, text/plain)
2018-09-25 17:12 UTC, Toralf Förster
Details
environment (environment,127.79 KB, text/plain)
2018-09-25 17:12 UTC, Toralf Förster
Details
etc.portage.tbz2 (etc.portage.tbz2,23.17 KB, application/x-bzip)
2018-09-25 17:12 UTC, Toralf Förster
Details
logs.tbz2 (logs.tbz2,5.39 KB, application/x-bzip)
2018-09-25 17:12 UTC, Toralf Förster
Details
temp.tbz2 (temp.tbz2,32.03 KB, application/x-bzip)
2018-09-25 17:13 UTC, Toralf Förster
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Toralf Förster gentoo-dev 2018-09-25 17:12:40 UTC
-- Configuring done
CMake Error at contrib/jemalloc-cmake/CMakeLists.txt:43 (add_library):
  Cannot find source file:

    /var/tmp/portage/dev-db/clickhouse-18.12.17/work/ClickHouse-18.12.17-stable/contrib/jemalloc/src/arena.c

  -------------------------------------------------------------------

  This is an unstable amd64 chroot image at a tinderbox (==build bot)
  name: 17.0-hardened_20180923-170657

  -------------------------------------------------------------------

gcc-config -l:
 [1] x86_64-pc-linux-gnu-7.3.1
 [2] x86_64-pc-linux-gnu-8.2.0 *

Available Python interpreters, in order of preference:
  [1]   python3.6
  [2]   python2.7 (fallback)
Available Ruby profiles:
  [1]   ruby23 (with Rubygems) *



emerge -qpv dev-db/clickhouse
[ebuild  N    ] dev-db/clickhouse-18.12.17  USE="client server -debug -doc -kafka -mongodb -mysql -static -test -tools" CPU_FLAGS_X86="sse4_2"
Comment 1 Toralf Förster gentoo-dev 2018-09-25 17:12:44 UTC
Created attachment 547892 [details]
emerge-info.txt
Comment 2 Toralf Förster gentoo-dev 2018-09-25 17:12:46 UTC
Created attachment 547894 [details]
dev-db:clickhouse-18.12.17:20180925-120245.log
Comment 3 Toralf Förster gentoo-dev 2018-09-25 17:12:49 UTC
Created attachment 547896 [details]
emerge-history.txt
Comment 4 Toralf Förster gentoo-dev 2018-09-25 17:12:52 UTC
Created attachment 547898 [details]
environment
Comment 5 Toralf Förster gentoo-dev 2018-09-25 17:12:55 UTC
Created attachment 547900 [details]
etc.portage.tbz2
Comment 6 Toralf Förster gentoo-dev 2018-09-25 17:12:58 UTC
Created attachment 547902 [details]
logs.tbz2
Comment 7 Toralf Förster gentoo-dev 2018-09-25 17:13:01 UTC
Created attachment 547904 [details]
temp.tbz2
Comment 8 Patrick Lauer gentoo-dev 2019-02-15 13:08:49 UTC
This looks like a missing depend on jemalloc:

in the tarball:
ClickHouse-18.12.17-stable/contrib/jemalloc/
ClickHouse-18.12.17-stable/contrib/jemalloc-cmake/
ClickHouse-18.12.17-stable/contrib/jemalloc-cmake/CMakeLists.txt
ClickHouse-18.12.17-stable/contrib/jemalloc-cmake/README
ClickHouse-18.12.17-stable/contrib/jemalloc-cmake/include/
ClickHouse-18.12.17-stable/contrib/jemalloc-cmake/include/jemalloc/
ClickHouse-18.12.17-stable/contrib/jemalloc-cmake/include/jemalloc/jemalloc.h
ClickHouse-18.12.17-stable/contrib/jemalloc-cmake/include/jemalloc/jemalloc_rename.h
ClickHouse-18.12.17-stable/contrib/jemalloc-cmake/include_linux_x86_64/
ClickHouse-18.12.17-stable/contrib/jemalloc-cmake/include_linux_x86_64/README
ClickHouse-18.12.17-stable/contrib/jemalloc-cmake/include_linux_x86_64/jemalloc/
ClickHouse-18.12.17-stable/contrib/jemalloc-cmake/include_linux_x86_64/jemalloc/internal/
ClickHouse-18.12.17-stable/contrib/jemalloc-cmake/include_linux_x86_64/jemalloc/internal/jemalloc_internal_defs.h
ClickHouse-18.12.17-stable/contrib/jemalloc-cmake/include_linux_x86_64/jemalloc/internal/jemalloc_preamble.h
ClickHouse-18.12.17-stable/contrib/jemalloc-cmake/include_linux_x86_64/jemalloc/jemalloc_defs.h
ClickHouse-18.12.17-stable/contrib/jemalloc-cmake/include_linux_x86_64/jemalloc/jemalloc_macros.h
ClickHouse-18.12.17-stable/contrib/jemalloc-cmake/include_linux_x86_64/jemalloc/jemalloc_protos.h
ClickHouse-18.12.17-stable/contrib/jemalloc-cmake/include_linux_x86_64/jemalloc/jemalloc_typedefs.h

That's only headers, no .so to find, so cmake tries to (re-)build from the empty contrib/jemalloc/ directory

For me installing jemalloc fixes compilation.
Comment 9 Larry the Git Cow gentoo-dev 2020-06-27 00:53:23 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=72ae4614583546a3a3f60c2ae2a4d50007b2f79c

commit 72ae4614583546a3a3f60c2ae2a4d50007b2f79c
Author:     Aaron Bauman <bman@gentoo.org>
AuthorDate: 2020-06-27 00:49:53 +0000
Commit:     Aaron Bauman <bman@gentoo.org>
CommitDate: 2020-06-27 00:49:53 +0000

    dev-db/clickhouse: drop last-rited pkg
    
    Closes: https://bugs.gentoo.org/663794
    Closes: https://bugs.gentoo.org/666916
    Closes: https://bugs.gentoo.org/666922
    Closes: https://bugs.gentoo.org/667062
    Closes: https://bugs.gentoo.org/678068
    Closes: https://bugs.gentoo.org/681678
    Closes: https://bugs.gentoo.org/684420
    Closes: https://bugs.gentoo.org/694488
    Signed-off-by: Aaron Bauman <bman@gentoo.org>

 dev-db/clickhouse/Manifest                         |   8 -
 dev-db/clickhouse/clickhouse-18.10.3-r1.ebuild     | 200 --------------------
 dev-db/clickhouse/clickhouse-18.12.17-r1.ebuild    | 200 --------------------
 dev-db/clickhouse/clickhouse-18.6.0-r1.ebuild      | 200 --------------------
 dev-db/clickhouse/clickhouse-19.13.1.11-r2.ebuild  | 204 --------------------
 dev-db/clickhouse/clickhouse-19.13.1.11-r3.ebuild  | 205 --------------------
 dev-db/clickhouse/clickhouse-19.15.2.2.ebuild      | 207 ---------------------
 dev-db/clickhouse/clickhouse-19.5.3.8-r1.ebuild    | 203 --------------------
 dev-db/clickhouse/clickhouse-19.9.5.36-r1.ebuild   | 203 --------------------
 dev-db/clickhouse/files/clickhouse-server.confd    |   4 -
 dev-db/clickhouse/files/clickhouse-server.initd    |  16 --
 dev-db/clickhouse/files/clickhouse-server.initd-r1 |  23 ---
 dev-db/clickhouse/files/clickhouse-server.service  |  15 --
 dev-db/clickhouse/metadata.xml                     |  16 --
 profiles/package.mask                              |   6 -
 15 files changed, 1710 deletions(-)